## WDA enumerations and flags WDA enumerations and flags |

## Functions

const gchar * | qmi_wda_link_layer_protocol_get_string ()
const gchar * | qmi_wda_data_aggregation_protocol_get_string ()

## Types and Values

enum | QmiWdaLinkLayerProtocol
enum | QmiWdaDataAggregationProtocol

## Object Hierarchy

        GEnum
        ├── QmiWdaDataAggregationProtocol
        ╰── QmiWdaLinkLayerProtocol

## Description

This section defines enumerations and flags used in the WDA service interface.

## Functions

### qmi_wda_link_layer_protocol_get_string ()

    const gchar *
    qmi_wda_link_layer_protocol_get_string
                                   (QmiWdaLinkLayerProtocol val);

Gets the nickname string for the QmiWdaLinkLayerProtocol specified at `val` .

#### Parameters

val | a QmiWdaLinkLayerProtocol. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_wda_data_aggregation_protocol_get_string ()

    const gchar *
    qmi_wda_data_aggregation_protocol_get_string
                                   (QmiWdaDataAggregationProtocol val);

Gets the nickname string for the QmiWdaDataAggregationProtocol specified at `val` .

#### Parameters

val | a QmiWdaDataAggregationProtocol. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

## Types and Values

### enum QmiWdaLinkLayerProtocol

Link layer protocol.

#### Members

QMI_WDA_LINK_LAYER_PROTOCOL_UNKNOWN | Unknown. |
QMI_WDA_LINK_LAYER_PROTOCOL_802_3 | 802.3 ethernet mode. |
QMI_WDA_LINK_LAYER_PROTOCOL_RAW_IP | Raw IP mode. |

Since: 1.10

### enum QmiWdaDataAggregationProtocol

Data aggregation protocol in uplink or downlink.

#### Members

QMI_WDA_DATA_AGGREGATION_PROTOCOL_DISABLED | Disabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_TLP | TLP enabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_QC_NCM | QC NCM enabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_MBIM | MBIM enabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_RNDIS | RNDIS enabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAP | QMAP enabled. |
QMI_WDA_DATA_AGGREGATION_PROTOCOL_QMAPV5 | QMAPV5 enabled. Since: 1.28. |

Since: 1.10